Package org.pushingpixels.lafwidget.utils

# Class LafConstants.TabOverviewKind

java.lang.Object
org.pushingpixels.lafwidget.utils.LafConstants.TabOverviewKind

Enclosing class:
  `LafConstants`

public static class LafConstants.TabOverviewKind extends Object
Enumerates all available kinds of tab overview dialog.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final LafConstants.TabOverviewKind`
`GRID`
Shows a grid with all tab thumbnails.
`static final LafConstants.TabOverviewKind`
`MENU_CAROUSEL`
Shows a menu carousel with all tab thumbnails.
`static final LafConstants.TabOverviewKind`
`ROUND_CAROUSEL`
Shows a round carousel with all tab thumbnails.

## Constructor Summary

Constructors
Constructor
Description
`TabOverviewKind(String name)`
Creates a new tab overview kind.

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
Returns the name of `this` animation.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GRID

public static final LafConstants.TabOverviewKind GRID
Shows a grid with all tab thumbnails.

### ROUND_CAROUSEL

public static final LafConstants.TabOverviewKind ROUND_CAROUSEL
Shows a round carousel with all tab thumbnails.

### MENU_CAROUSEL

public static final LafConstants.TabOverviewKind MENU_CAROUSEL
Shows a menu carousel with all tab thumbnails.

## Constructor Details

### TabOverviewKind

public TabOverviewKind(String name)
Creates a new tab overview kind.

Parameters:
  `name` - Tab overview kind name.

## Method Details

### getName

public String getName()
Returns the name of `this` animation.

Returns:
  Name of `this` animation.